<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>

<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="Author" content="<?php echo dane_o("inne/tytul.txt"); ?>" />
<meta name="Generator" content="WizyTówka" />
<title><?php echo dane_o("inne/tytul.txt"); ?></title>
<link rel="Stylesheet" href="dane/styl.css" />
<link rel="Stylesheet" href="system/google-webfonts.css">
<style>
div.strona {width: <?php echo dane_o("css-user/ss.txt"); ?>px;}
body {background: #<?php echo dane_o("css-user/bg.txt"); ?>;}
a:link, a:visited, body, h1, input, textarea {color: #<?php echo dane_o("css-user/text.txt"); ?>; font-family: "<?php echo dane_o("css-user/font.txt"); ?>";}
</style>

</head>

<body>

<div class="strona">

<div class="naglowek">
<h1><?php echo dane_o("inne/tytul.txt"); ?></h1>
<ul class="menu">
<?php
// menu
if (dane_o("inne/przyjazne.txt") == 'yes')
  $dod = "";
else
  $dod = "?i=";
  if (dane_o("inne/menu_home.txt") == 'yes')
    echo "<li class='menu'><a href='".$dod."o-mnie'>O mnie</a></li>\n";
  if (dane_o("inne/menu_galeria.txt") == 'yes')
    echo "<li class='menu'><a href='".$dod."galeria'>Galeria</a></li>\n";
  if (dane_o("inne/menu_kontakt.txt") == 'yes')
    echo "<li class='menu'><a href='".$dod."kontakt'>Kontakt</a></li>\n";
?>
</ul>
</div>

<div class="tresc">
<?php
// wysyłanie wiadomości e-mail
if ($_POST[send] == "yes")
{
  $tresc = $_POST['email']."\n".$_POST['wiad'];
  if (empty($_POST['wiad']))
    echo "<p style='color: red;'>Nie wprowadzono treści wiadomości.</p>";
  elseif (@mail(dane_o("kontakt/email.txt"), $_POST['temat'], $tresc, "Content-type: text/plain; charset=UTF-8"))
    echo "<p style='color: green;'>Wiadomość została wysłana!</p>";
  else
    echo "<p style='color: red;'>Nie udało się wysłać wiadomości.</p>";
}

// wyświetlanie treści strony

// strona główna
if  ($_GET[i] == 'o-mnie' or empty($_GET[i]))
  echo "<p>".dane_o("home/home.txt")."</p>";

// galeria
elseif ($_GET[i] == 'galeria')
{
?><script type='text/javascript' src='system/js/jquery-1.5.2.min.js'></script><script type='text/javascript' src='system/js/galleria-1.2.3.min.js'></script>
<div id='gallery'>
<?php echo dane_o("galeria/kod.txt"),"\n"; ?>
</div>
<script>
Galleria.loadTheme('system/js/galleria.classic.min.js');
$('#gallery').galleria({
height: 510
});
</script><?php
}

// kontakt
elseif ($_GET[i] == 'kontakt')
{
  $fb = dane_o("kontakt/facebook.txt");
  $nk = dane_o("kontakt/naszaklasa.txt");
  $yt = dane_o("kontakt/youtube.txt");
  echo "<ul class='social'>\n";
  if (!empty($fb)) 
    echo "<li><a href='".$fb."' target='_balnk'><img src='system/img/facebook.png'></a></li>\n";
  if (!empty($nk)) 
    echo "<li><a href='".$nk."' target='_balnk'><img src='system/img/naszaklasa.png'></a></li>\n";
  if (!empty($yt)) 
    echo "<li><a href='".$yt."' target='_balnk'><img src='system/img/youtube.png'></a></li>\n";
  echo "</ul>\n";
?>
<form action='' method='post'>
<p>
<label>Temat:<br/><input type='text' name='temat'></label><br/>
<label>Twój e-mail:<br/><input type='text' name='email'></label><br/>
<label>Wiadomość:<br/><textarea name='wiad'></textarea></label><br/>
<input type='hidden' name='send' value='yes'>
<input type='submit' value='Wyślij'>
</p>
</form><?php
}
  
// błąd 404
else
  echo "<p>Błąd <span style='color: red;'>404</span> &mdash; nie znaleziono poszukiwanej strony.</p>";

echo "\n";

//statystyki
if (dane_o("stats/stats.txt") == 'yes')
{
  // aktualizacja ostatniej daty
  if (date("dmY") != dane_o("stats/odata.txt"))
  {
    dane_s("stats/odata.txt",date("dmY"));
    dane_s("stats/dzis.txt",0);
  }
  // dodanie do statystyk kolejnego wejścia, tylko gdy nie jest zalogowany autor strony
  if (!isset($_COOKIE[dane_o("user/id.txt")]))
  {
    dane_s("stats/ostatnia.txt",date("H:i:s, d.m.Y"));
    if ($_SERVER['REMOTE_ADDR'] != dane_o("stats/oip.txt") or empty($_SERVER['REMOTE_ADDR']))
    {
      dane_s("stats/all.txt",dane_o("stats/all.txt")+1);
      dane_s("stats/oip.txt",$_SERVER['REMOTE_ADDR']);
      dane_s("stats/dzis.txt",dane_o("stats/dzis.txt")+1);
    }
  }
  // wyświetlanie licznika
  if (dane_o("stats/licznik_pokaz.txt") == 'yes')
  {
  echo "<p class='stats'>".dane_o("stats/licznik_przed.txt").dane_o("stats/all.txt").dane_o("stats/licznik_po.txt")."</p>\n";
  }
}
?>
</div>

</div>

</body>

</html>